unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uViewConfiguracionRegistryUtils,
  uEditorClientes, uEditorProveedores,
  uEditorVendedores, uEditorElegirCLientes,
  uEditorCliente, uEditorProveedor,
  uEditorVendedor, uEditorElegirProveedores, uEditorDireccion,
  uEditorElegirVendedores, uEditorGruposCliente, uEditorProcedenciasCliente,
  uEditorGruposProveedor, uEditorListadosContactosReport,
  uViewConfiguracionContactos, uEditorPersonal, uEditorElegirPersonaContacto,
  uEditorElegirDireccionEntrega;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorClientes, 'EditorClientes');
  EditorRegistry.RegisterClass(TfEditorProveedores, 'EditorProveedores');
  EditorRegistry.RegisterClass(TfEditorVendedores, 'EditorVendedores');

  EditorRegistry.RegisterClass(TfEditorCliente, 'EditorCliente');
  EditorRegistry.RegisterClass(TfEditorProveedor, 'EditorProveedor');
  EditorRegistry.RegisterClass(TfEditorVendedor, 'EditorVendedor');

  EditorRegistry.RegisterClass(TfEditorElegirClientes, 'EditorElegirClientes');
  EditorRegistry.RegisterClass(TfEditorElegirProveedores, 'EditorElegirProveedores');
  EditorRegistry.RegisterClass(TfEditorElegirVendedores, 'EditorElegirVendedores');

  EditorRegistry.RegisterClass(TfEditorDireccion, 'EditorDireccion');
  EditorRegistry.RegisterClass(TfEditorElegirDireccionEntrega, 'EditorElegirDireccionEntrega');

  EditorRegistry.RegisterClass(TfEditorGruposCliente, 'EditorGruposCliente');
  EditorRegistry.RegisterClass(TfEditorProcedenciasCliente, 'EditorProcedenciasCliente');
  EditorRegistry.RegisterClass(TfEditorGruposProveedor, 'EditorGruposProveedor');

  EditorRegistry.RegisterClass(TfEditorListadosContactosPreview, 'EditorListadosContactosPreview');

  EditorRegistry.RegisterClass(TfEditorPersonal, 'EditorPersonalContacto');
  EditorRegistry.RegisterClass(TfEditorElegirPersonaContacto, 'EditorElegirPersonaContacto');

  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionContactos, 'Contactos');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorClientes);
  EditorRegistry.UnRegisterClass(TfEditorProveedores);
  EditorRegistry.UnRegisterClass(TfEditorVendedores);

  EditorRegistry.UnRegisterClass(TfEditorCliente);
  EditorRegistry.UnRegisterClass(TfEditorProveedor);
  EditorRegistry.UnRegisterClass(TfEditorVendedor);

  EditorRegistry.UnRegisterClass(TfEditorElegirClientes);
  EditorRegistry.UnRegisterClass(TfEditorElegirProveedores);
  EditorRegistry.UnRegisterClass(TfEditorElegirVendedores);

  EditorRegistry.UnRegisterClass(TfEditorDireccion);
  EditorRegistry.UnRegisterClass(TfEditorElegirDireccionEntrega);

  EditorRegistry.UnRegisterClass(TfEditorGruposCliente);
  EditorRegistry.UnRegisterClass(TfEditorProcedenciasCliente);
  EditorRegistry.UnRegisterClass(TfEditorGruposProveedor);

  EditorRegistry.UnRegisterClass(TfEditorListadosContactosPreview);

  EditorRegistry.UnRegisterClass(TfEditorPersonal);
  EditorRegistry.UnRegisterClass(TfEditorElegirPersonaContacto);

  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionContactos);
end;

end.
